Skip to Content
Keko
API reference

Variables

GET
/v1/variables

Authorization

bearer
headerAuthorizationBearer <token>

Query Parameters

project*string
Length1 <= length <= 300
thread?string
Length1 <= length <= 100

Response Body

OK

application/json
  1. response
variables*array<>
Example Request
curl -X GET 'https://api.keko.run/v1/variables?project=string'
Example Response
{  "variables": [    {      "name": "string",      "scope": "shared",      "updatedAt": 0    }  ]}
DELETE
/v1/variables

Authorization

bearer
headerAuthorizationBearer <token>

Query Parameters

project*string
Length1 <= length <= 300
scope*string
Value in"shared""personal""thread"
name*string
thread?string
Length1 <= length <= 100

Response Body

OK

application/json
  1. response
ok*boolean
Example Request
curl -X DELETE 'https://api.keko.run/v1/variables?project=string&scope=shared&name=string'
Example Response
{  "ok": true}
PUT
/v1/variables

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
project*string
Length1 <= length <= 300
scope*string
Value in"shared""personal""thread"
name*string
value*string
Lengthlength <= 32768
thread?string
Length1 <= length <= 100

Response Body

OK

application/json
  1. response
variable*
Example Request
curl -X PUT 'https://api.keko.run/v1/variables' \  -H 'Content-Type: application/json' \  -d '{  "project": "string",  "scope": "shared",  "name": "string",  "value": "string"}'
Example Response
{  "variable": {    "name": "string",    "scope": "shared",    "updatedAt": 0  }}
POST
/v1/variables/restore

Authorization

bearer
headerAuthorizationBearer <token>

Query Parameters

project*string
Length1 <= length <= 300
scope*string
Value in"shared""personal""thread"
name*string
thread?string
Length1 <= length <= 100

Response Body

OK

application/json
  1. response
variable*
Example Request
curl -X POST 'https://api.keko.run/v1/variables/restore?project=string&scope=shared&name=string'
Example Response
{  "variable": {    "name": "string",    "scope": "shared",    "updatedAt": 0  }}
POST
/v1/variables/reveal

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
project*string
Length1 <= length <= 300
scope*string
Value in"shared""personal"
name*string

Response Body

OK

application/json
  1. response
value*string
Example Request
curl -X POST 'https://api.keko.run/v1/variables/reveal' \  -H 'Content-Type: application/json' \  -d '{  "project": "string",  "scope": "shared",  "name": "string"}'
Example Response
{  "value": "string"}
POST
/v1/variables/for-engine

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
project*string
Length1 <= length <= 300
thread?string
Length1 <= length <= 100

Response Body

OK

application/json
  1. response
values*array<>
Example Request
curl -X POST 'https://api.keko.run/v1/variables/for-engine' \  -H 'Content-Type: application/json' \  -d '{  "project": "string"}'
Example Response
{  "values": [    {      "name": "string",      "scope": "shared",      "value": "string"    }  ]}